package domain


type AlibabaWdkopenOrderGetTopBaseResult struct {
    /*
        表示拆单是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        返回码     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        返回码说明     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        订单对象     */
    Model  *AlibabaWdkopenOrderGetWdkOrderSyncBo `json:"model,omitempty" `

}

func (s *AlibabaWdkopenOrderGetTopBaseResult) SetSuccess(v bool) *AlibabaWdkopenOrderGetTopBaseResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkopenOrderGetTopBaseResult) SetReturnCode(v string) *AlibabaWdkopenOrderGetTopBaseResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkopenOrderGetTopBaseResult) SetReturnMsg(v string) *AlibabaWdkopenOrderGetTopBaseResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkopenOrderGetTopBaseResult) SetModel(v AlibabaWdkopenOrderGetWdkOrderSyncBo) *AlibabaWdkopenOrderGetTopBaseResult {
    s.Model = &v
    return s
}
